%define module_name             gfs
%define module_version          2.03.09
%define module_release          alt1

%define kversion	2.6.27
%define krelease	alt16
%define flavour		std-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.16

Summary: Global File System Kernel Driver
License: GPL
Group: System/Kernel and hardware
URL: http://sources.redhat.com/cluster/wiki/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
The dynamic kernel module package for Global File System
This package is only required for kernels older than 2.6.27

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
cd src/gfs
export KERNEL_BUILD=%_usrsrc/linux-%kversion-%flavour
export USING_KBUILD=yes
%make_build

%install
%__install -d %buildroot/%module_dir
%__cp -a src/gfs/gfs.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Apr 07 2009 Michail Yakushin <silicium@altlinux.ru> 2.03.09-alt1.132635.16
- Build for kernel-image-std-def-2.6.27-alt16.

